=== debian/changelog ===
ros-noetic-rosbridge-server (0.11.16-2focal) focal; urgency=high

  * Bump minimum required cmake version. (#814 <https://github.com/RobotWebTools/rosbridge_suite/issues/814>)
  * Fix send_message being called with wrong arguments. (#812 <https://github.com/RobotWebTools/rosbridge_suite/issues/812>)
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Oct 2022 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.15-2focal) focal; urgency=high

  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>)
    * Skip unnecessary conversion for cbor compression.
    This change avoids some unnecessary conversions when using cbor/cbor-raw compression, leading to a significantly perfomance boost.
    * Add caching for subscriptions with cbor compression.
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Thu, 06 Oct 2022 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.14-2focal) focal; urgency=high

  * Fix ROS 1 RosbridgeTcpSocket endless loop (#722 <https://github.com/RobotWebTools/rosbridge_suite/issues/722>)
  * Fix bson support for python3 (#545 <https://github.com/RobotWebTools/rosbridge_suite/issues/545>)
  * Small fixes (#681 <https://github.com/RobotWebTools/rosbridge_suite/issues/681>)
  * Contributors: Matthijs van der Burgh, Nick Paul, curiosus42

 -- Russell Toris <rctoris@wpi.edu>  Mon, 13 Jun 2022 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.13-2focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.12-2focal) focal; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.11-2focal) focal; urgency=high

  * rosbridge_udp now encodes msg to bytes before send (#537 <https://github.com/RobotWebTools/rosbridge_suite/issues/537>)
    This is required to work with python3 socket library
  * Conversion between bytes and string (#534 <https://github.com/RobotWebTools/rosbridge_suite/issues/534>)
    As of python3 sockets will input and output byte strings instead of String objects.
    This commits does the necessary coversions inside the tcp_handler, but it might
    not be the most thoughtful solution but just what I did to make it work with
    python3.
  * Contributors: Felix Exner, Karl Oskar Lember

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.10-2focal) focal; urgency=high

  * Error initialization with tornado. (#510 <https://github.com/RobotWebTools/rosbridge_suite/issues/510>)
    max_message_size has to be integer when initializating using tornado.
  * Contributors: Carlos Herrero

 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.9-2focal) focal; urgency=high

  * noetic tests and fixes (#503 <https://github.com/RobotWebTools/rosbridge_suite/issues/503>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.8-2focal) focal; urgency=high

  * Finish protocol in IncomingQueue thread (#502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502>)
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.7-2focal) focal; urgency=high

  * Fix backpressure deadlock (#496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>)
    * Don't block Subscription.unregister()
    * Don't add messages to finished queue handler
    * Decouple incoming WS handling from server thread
  * Added support for None for websocket_external_port (#494 <https://github.com/RobotWebTools/rosbridge_suite/issues/494>)
  * Contributors: Matt Vollrath, pramodhkp

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.6-2focal) focal; urgency=high

  * Output node parameter (#481 <https://github.com/RobotWebTools/rosbridge_suite/issues/481>)
  * Contributors: Raffaello Bonghi

 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 00:00:00 -0000

ros-noetic-rosbridge-server (0.11.5-2focal) focal; urgency=high

  * default websocket_external_port to port to mimic behavior in node (#470 <https://github.com/RobotWebTools/rosbridge_suite/issues/470>)
    fixes bug introduced in #468 <https://github.com/RobotWebTools/rosbridge_suite/issues/468>
  * Default to supporting local files as we had before Autobahn. (#469 <https://github.com/RobotWebTools/rosbridge_suite/issues/469>)
    For Kinetic 0.10.3 version don't add the allowNullOrigin option.
    For everything else add it and default to True because that is
    consistent with the original behaviour of this package.
    Add websocket_null_origin to launch args
  * Python 3 updates/fixes (#460 <https://github.com/RobotWebTools/rosbridge_suite/issues/460>)
    * rosbridge_library, rosbridge_server: Update package format
    Add Python3 conditional dependencies where applicable.
    * rosbridge_library: Fix pngcompression for Python 3
    * rosapi: Use catkin_install_python for scripts
  * Fix intermittent test smoke (#473 <https://github.com/RobotWebTools/rosbridge_suite/issues/473>)
    * Run rosbridge_server websocket tests serial
    Running these tests in parallel may make them less reliable.
    * Reduce websocket smoke test load
    Appears to be failing intermittently due to a client issue.
    Co-authored-by: Jihoon Lee <mailto:jihoonlee.in@gmail.com>
  * Expose autobahn externalPort parameter (#468 <https://github.com/RobotWebTools/rosbridge_suite/issues/468>)
    * Expose autobahn externalPort parameter
    * Use ws port as default external port
    * Include websocket params in launchfile
  * Contributors: Alexey Rogachevskiy, Eduardo Paez, El Jawad Alaa, Matt Vollrath, boilerbots

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 00:00:00 -0000


