=== debian/control ===
Source: ros-noetic-rosbridge-server
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-rostest <!nocheck>
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-noetic-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-autobahn, python3-tornado, python3-twisted, ros-noetic-rosapi, ros-noetic-rosauth, ros-noetic-rosbridge-library, ros-noetic-rosbridge-msgs, ros-noetic-rospy
Description: A WebSocket interface to rosbridge.
